Skip to main content

GET /api/chains/gas

Gas prices all chains

Current gas prices for Ethereum

Endpoint​

GET https://api.web3identity.com/api/chains/gas

Example Request​

curl -s "https://api.web3identity.com/api/chains/gas" | jq

Responses​

200 Gas prices​

{
"chains": [
{
"chain": "ethereum",
"fast": 45,
"standard": 38,
"slow": 32,
"baseFee": 30,
"unit": "gwei"
},
{
"chain": "polygon",
"fast": 150,
"standard": 120,
"slow": 100,
"baseFee": 80,
"unit": "gwei"
},
{
"chain": "arbitrum",
"fast": 0.5,
"standard": 0.4,
"slow": 0.3,
"baseFee": 0.2,
"unit": "gwei"
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec